.m-site-footer {
  padding: 1rem;
  background-color: #000;
  color: #fff;
  width: 100vw;

  &__expandable-column {
    border-block-end: 0.0625rem solid rgb(104, 104, 104);
  }

  &__expandable-column-title-text {
    font-weight: 700;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;

    &.is-open + .m-site-footer__expandable-column-sub-list {
      opacity: 1;
      pointer-events: all;
      transition: all 0.5s;
      height: fit-content;
    }

    &.is-open .m-site-footer__collapse-icon {
      transform: rotate(180deg);
    }
  }

  &__collapse-icon {
    display: inline-block;
    width: 1.5rem;
    height: 1.5rem;
    color: #fff;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-image: url("../assets/icons/chevron-down.svg");
    vertical-align: middle;
    margin-inline-start: auto;
  }

  &__expandable-column-sub-list {
    opacity: 0;
    pointer-events: none;
    font-size: 0.875rem;
    padding: 1rem;
    padding-block-start: 0;

    height: 0;
    overflow: hidden;
  }

  &__expandable-column-item {
    margin-block-end: 0.5rem;
  }

  &__non-expandable-column {
    padding: 1rem;
    border-block-end: 0.0625rem solid rgb(104, 104, 104);
  }

  &__non-expandable-column-title-text {
    display: block;
    margin-block-end: 1rem;
    font-weight: 700;
  }

  @media (min-width: 768px) {
    &__content-wrapper {
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      column-gap: 2rem;
    }

    &__expandable-column {
      grid-column: span 0 / 3;
      border: none;
    }

    &__expandable-column-sub-list {
      display: block;
      height: fit-content;
    }

    &__collapse-icon {
      display: none;
    }

    &__non-expandable-column {
      grid-column: span 3 / 5;
      border: none;
    }
  }
}
